.navbar-wrapper {
  background: rgba(17, 1, 30, 0.5);
  backdrop-filter: blur(10px);

  position: sticky;
  top: 0;

  z-index: 10;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navbar-logo {

}

.navbar-logo__img {

}

.navbar-right {
  display: flex;
  align-items: center;
  column-gap: 64px;
}

.navbar-right-menu {
  display: flex;
  align-items: center;
  column-gap: 32px;
}

.navbar-right-menu__item {
  position: relative;

  font-size: 17px;
  line-height: 21px;
  color: var(--normal-white);
  padding: 32px 0;
}

.navbar-right-menu__item::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;

  width: 0;
  height: 3px;
  background: var(--normal-green);

  transition: width .3s;
}

.navbar-right-menu__item.active,
.navbar-right-menu__item:hover {
  color: var(--normal-green);
}

.navbar-right-menu__item.active::before,
.navbar-right-menu__item:hover::before {
  width: 100%;
}

.navbar-right-language {
  position: relative;

  display: flex;
  align-items: center;
  column-gap: 4px;
  cursor: default;
  padding: 0 4px;
  font-size: 17px;
}

.navbar-right-language__language-icon {

}

.navbar-right-language__arrow-icon {
  transition: transform .3s .3s;
}

.navbar-right-language:hover .navbar-right-language__arrow-icon {
  transform: rotate(180deg);
  transition-delay: 0s;
}

.navbar-right-language-popup {
  position: absolute;
  top: calc(100% + 8px);
  left: 0;

  width: 100%;
  border-radius: 4px;
  background: rgba(255, 255, 255, 0.1);
  overflow: hidden;

  display: flex;
  flex-direction: column;

  opacity: 0;
  visibility: hidden;
  transition: opacity .3s, visibility .3s;
  transition-delay: .3s;
}

.navbar-right-language:hover .navbar-right-language-popup {
  opacity: 1;
  visibility: visible;
  transition-delay: 0s;
}

.navbar-right-language-popup-button {
  display: flex;
  align-items: center;
  column-gap: 4px;
  padding: 4px;
  cursor: pointer;
}

.navbar-right-language-popup-button.active,
.navbar-right-language-popup-button:hover {
  background: rgba(255, 255, 255, 0.15);
}

.navbar-right-language-popup-button__icon {

}

.navbar-right-social {
  display: flex;
  align-items: center;
  column-gap: 20px;
}

.navbar-right-social-item {

}

.navbar-right-social-item__icon {

}

.navbar-right-burger {
  display: none;
}

.navbar-mobile-dropdown {
  display: none;
}

@media (max-width: 1200px) {

  .navbar-wrapper {
    position: relative;
  }

  .navbar {
    padding: 16px 0;
  }

  .navbar-logo__img {
    width: 146px;
  }

  .navbar-right {
    column-gap: 16px;
  }

  .navbar-right-menu {
    display: none;
  }

  .navbar-right-social {
    display: none;
  }

  .navbar-right-burger {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 16px;
  }

  .navbar-right-burger__line {
    width: 19px;
    height: 2px;
    background-color: var(--normal-white);
    border-radius: 4px;

    transition: transform .3s;
  }

  .navbar-right-burger__line:nth-child(2) {
    opacity: 1;
    transition: opacity .3s;
  }

  .navbar-wrapper.opened .navbar-right-burger__line:nth-child(2) {
    opacity: 0;
  }

  .navbar-wrapper.opened .navbar-right-burger__line:first-child {
    transform: translateY(7px) rotate(45deg);
  }

  .navbar-wrapper.opened .navbar-right-burger__line:last-child {
    transform: translateY(-7px) rotate(-45deg);
  }

  .navbar-mobile-dropdown {
    position: absolute;
    background: rgba(17, 1, 30, 0.5);
    box-shadow: 0 5px 8px rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(10px);
    width: 100%;
    left: 0;
    top: -100%;
    padding-bottom: 10px;
    z-index: -1;

    transition: top .3s, transform .3s;

    transform: translateY(-100%);
    display: block;
  }

  .navbar-wrapper.opened .navbar-mobile-dropdown {
    top: 100%;
    transform: translateY(0);
  }

  .navbar-mobile-dropdown-menu {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
  }

  .navbar-mobile-dropdown-menu__item {
    font-size: 14px;
    line-height: 17px;
    color: var(--normal-white);
    padding: 10px 14px;
  }

  .navbar-mobile-dropdown-menu__item.active,
  .navbar-mobile-dropdown-menu__item:hover {
    background-color: var(--normal-green);
  }

  .navbar-mobile-dropdown-social {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 9px;
  }

  .navbar-mobile-dropdown-social-item {

  }

  .navbar-mobile-dropdown-social-item__icon {

  }


}
